diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -16,7 +16,7 @@ module MenhirBasics = struct
     | VAL
     | UNDERSCORE
     | UIDENT of (
-# 701 "parsing/parser.mly"
+# 709 "parsing/parser.mly"
        (string)
 # 22 "parsing/parser.ml"
   )
@@ -28,7 +28,7 @@ module MenhirBasics = struct
     | THEN
     | STRUCT
     | STRING of (
-# 689 "parsing/parser.mly"
+# 697 "parsing/parser.mly"
        (string * Location.t * string option)
 # 34 "parsing/parser.ml"
   )
@@ -41,12 +41,12 @@ module MenhirBasics = struct
     | RBRACKET
     | RBRACE
     | QUOTED_STRING_ITEM of (
-# 693 "parsing/parser.mly"
+# 701 "parsing/parser.mly"
   (string * Location.t * string * Location.t * string option)
 # 47 "parsing/parser.ml"
   )
     | QUOTED_STRING_EXPR of (
-# 691 "parsing/parser.mly"
+# 699 "parsing/parser.mly"
   (string * Location.t * string * Location.t * string option)
 # 52 "parsing/parser.ml"
   )
@@ -54,7 +54,7 @@ module MenhirBasics = struct
     | QUESTION
     | PRIVATE
     | PREFIXOP of (
-# 675 "parsing/parser.mly"
+# 683 "parsing/parser.mly"
        (string)
 # 60 "parsing/parser.ml"
   )
@@ -64,7 +64,7 @@ module MenhirBasics = struct
     | PERCENT
     | OR
     | OPTLABEL of (
-# 668 "parsing/parser.mly"
+# 676 "parsing/parser.mly"
        (string)
 # 70 "parsing/parser.ml"
   )
@@ -82,12 +82,12 @@ module MenhirBasics = struct
     | MATCH
     | LPAREN
     | LIDENT of (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
 # 88 "parsing/parser.ml"
   )
     | LETOP of (
-# 633 "parsing/parser.mly"
+# 641 "parsing/parser.mly"
        (string)
 # 93 "parsing/parser.ml"
   )
@@ -107,39 +107,39 @@ module MenhirBasics = struct
     | LBRACE
     | LAZY
     | LABEL of (
-# 638 "parsing/parser.mly"
+# 646 "parsing/parser.mly"
        (string)
 # 113 "parsing/parser.ml"
   )
     | INT of (
-# 637 "parsing/parser.mly"
+# 645 "parsing/parser.mly"
        (string * char option)
 # 118 "parsing/parser.ml"
   )
     | INITIALIZER
     | INHERIT
     | INFIXOP4 of (
-# 631 "parsing/parser.mly"
+# 639 "parsing/parser.mly"
        (string)
 # 125 "parsing/parser.ml"
   )
     | INFIXOP3 of (
-# 630 "parsing/parser.mly"
+# 638 "parsing/parser.mly"
        (string)
 # 130 "parsing/parser.ml"
   )
     | INFIXOP2 of (
-# 629 "parsing/parser.mly"
+# 637 "parsing/parser.mly"
        (string)
 # 135 "parsing/parser.ml"
   )
     | INFIXOP1 of (
-# 628 "parsing/parser.mly"
+# 636 "parsing/parser.mly"
        (string)
 # 140 "parsing/parser.ml"
   )
     | INFIXOP0 of (
-# 627 "parsing/parser.mly"
+# 635 "parsing/parser.mly"
        (string)
 # 145 "parsing/parser.ml"
   )
@@ -147,7 +147,7 @@ module MenhirBasics = struct
     | IN
     | IF
     | HASHOP of (
-# 686 "parsing/parser.mly"
+# 694 "parsing/parser.mly"
        (string)
 # 153 "parsing/parser.ml"
   )
@@ -160,7 +160,7 @@ module MenhirBasics = struct
     | FUN
     | FOR
     | FLOAT of (
-# 616 "parsing/parser.mly"
+# 624 "parsing/parser.mly"
        (string * char option)
 # 166 "parsing/parser.ml"
   )
@@ -174,7 +174,7 @@ module MenhirBasics = struct
     | ELSE
     | DOWNTO
     | DOTOP of (
-# 632 "parsing/parser.mly"
+# 640 "parsing/parser.mly"
        (string)
 # 180 "parsing/parser.ml"
   )
@@ -182,14 +182,14 @@ module MenhirBasics = struct
     | DOT
     | DONE
     | DOCSTRING of (
-# 709 "parsing/parser.mly"
+# 717 "parsing/parser.mly"
        (Docstrings.docstring)
 # 188 "parsing/parser.ml"
   )
     | DO
     | CONSTRAINT
     | COMMENT of (
-# 708 "parsing/parser.mly"
+# 716 "parsing/parser.mly"
        (string * Location.t)
 # 195 "parsing/parser.ml"
   )
@@ -200,7 +200,7 @@ module MenhirBasics = struct
     | COLON
     | CLASS
     | CHAR of (
-# 596 "parsing/parser.mly"
+# 604 "parsing/parser.mly"
        (char)
 # 206 "parsing/parser.ml"
   )
@@ -213,7 +213,7 @@ module MenhirBasics = struct
     | ASSERT
     | AS
     | ANDOP of (
-# 634 "parsing/parser.mly"
+# 642 "parsing/parser.mly"
        (string)
 # 219 "parsing/parser.ml"
   )
@@ -238,6 +238,8 @@ open Ast_helper
 open Docstrings
 open Docstrings.WithMenhir
 
+let language_level = Syntaxerr.language_level
+
 let mkloc = Location.mkloc
 let mknoloc = Location.mknoloc
 
@@ -792,8 +794,14 @@ let mk_directive ~loc name arg =
       pdir_loc = make_loc loc;
     }
 
+let expert_exp ~loc str =
+  raise Syntaxerr.(Error(Expert_exp(str, language_level, make_loc loc)))
 
-# 797 "parsing/parser.ml"
+let infixop0 ~loc str =
+  raise Syntaxerr.(Error(InfixOP0(str, language_level, make_loc loc)))
+
+
+# 805 "parsing/parser.ml"
 
 module Tables = struct
   
@@ -1336,9 +1344,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3657 "parsing/parser.mly"
+# 3685 "parsing/parser.mly"
                                                 ( "+" )
-# 1342 "parsing/parser.ml"
+# 1350 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1361,9 +1369,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3658 "parsing/parser.mly"
+# 3686 "parsing/parser.mly"
                                                 ( "+." )
-# 1367 "parsing/parser.ml"
+# 1375 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1386,9 +1394,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.core_type) = 
-# 3214 "parsing/parser.mly"
+# 3234 "parsing/parser.mly"
       ( _1 )
-# 1392 "parsing/parser.ml"
+# 1400 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1433,24 +1441,24 @@ module Tables = struct
         let _endpos = _endpos_tyvar_ in
         let _v : (Parsetree.core_type) = let _1 =
           let _1 = 
-# 3217 "parsing/parser.mly"
+# 3237 "parsing/parser.mly"
         ( Ptyp_alias(ty, tyvar) )
-# 1439 "parsing/parser.ml"
+# 1447 "parsing/parser.ml"
            in
           let (_endpos__1_, _startpos__1_) = (_endpos_tyvar_, _startpos_ty_) in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 1448 "parsing/parser.ml"
+# 1456 "parsing/parser.ml"
           
         in
         
-# 3219 "parsing/parser.mly"
+# 3239 "parsing/parser.mly"
     ( _1 )
-# 1454 "parsing/parser.ml"
+# 1462 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1496,30 +1504,30 @@ module Tables = struct
         let _v : (let_binding) = let attrs2 =
           let _1 = _1_inlined2 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 1502 "parsing/parser.ml"
+# 1510 "parsing/parser.ml"
           
         in
         let _endpos_attrs2_ = _endpos__1_inlined2_ in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 1511 "parsing/parser.ml"
+# 1519 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2480 "parsing/parser.mly"
+# 2500 "parsing/parser.mly"
     (
       let attrs = attrs1 @ attrs2 in
       mklb ~loc:_sloc false body attrs
     )
-# 1523 "parsing/parser.ml"
+# 1531 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1542,9 +1550,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Longident.t) = 
-# 3544 "parsing/parser.mly"
+# 3572 "parsing/parser.mly"
       ( _1 )
-# 1548 "parsing/parser.ml"
+# 1556 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1567,9 +1575,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Longident.t) = 
-# 3545 "parsing/parser.mly"
+# 3573 "parsing/parser.mly"
                                  ( Lident _1 )
-# 1573 "parsing/parser.ml"
+# 1581 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1606,9 +1614,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.core_type) = 
-# 3275 "parsing/parser.mly"
+# 3295 "parsing/parser.mly"
       ( _2 )
-# 1612 "parsing/parser.ml"
+# 1620 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1671,11 +1679,11 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 3335 "parsing/parser.mly"
+# 3355 "parsing/parser.mly"
       ( let (lid, cstrs, attrs) = package_type_of_module_type _1 in
         let descr = Ptyp_package (lid, cstrs) in
         mktyp ~loc:_sloc ~attrs descr )
-# 1679 "parsing/parser.ml"
+# 1687 "parsing/parser.ml"
           
         in
         let _3 =
@@ -1683,24 +1691,24 @@ module Tables = struct
           let _2 =
             let _1 = _1_inlined1 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 1689 "parsing/parser.ml"
+# 1697 "parsing/parser.ml"
             
           in
           
-# 3758 "parsing/parser.mly"
+# 3786 "parsing/parser.mly"
                     ( _1, _2 )
-# 1695 "parsing/parser.ml"
+# 1703 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3277 "parsing/parser.mly"
+# 3297 "parsing/parser.mly"
       ( wrap_typ_attrs ~loc:_sloc (reloc_typ ~loc:_sloc _4) _3 )
-# 1704 "parsing/parser.ml"
+# 1712 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1731,24 +1739,24 @@ module Tables = struct
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.core_type) = let _1 =
           let _1 = 
-# 3280 "parsing/parser.mly"
+# 3300 "parsing/parser.mly"
         ( Ptyp_var _2 )
-# 1737 "parsing/parser.ml"
+# 1745 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__2_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 1746 "parsing/parser.ml"
+# 1754 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 1752 "parsing/parser.ml"
+# 1760 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1772,23 +1780,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.core_type) = let _1 =
           let _1 = 
-# 3282 "parsing/parser.mly"
+# 3302 "parsing/parser.mly"
         ( Ptyp_any )
-# 1778 "parsing/parser.ml"
+# 1786 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 1786 "parsing/parser.ml"
+# 1794 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 1792 "parsing/parser.ml"
+# 1800 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1817,35 +1825,35 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 1823 "parsing/parser.ml"
+# 1831 "parsing/parser.ml"
               
             in
             let tys = 
-# 3327 "parsing/parser.mly"
+# 3347 "parsing/parser.mly"
       ( [] )
-# 1829 "parsing/parser.ml"
+# 1837 "parsing/parser.ml"
              in
             
-# 3285 "parsing/parser.mly"
+# 3305 "parsing/parser.mly"
         ( Ptyp_constr(tid, tys) )
-# 1834 "parsing/parser.ml"
+# 1842 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 1843 "parsing/parser.ml"
+# 1851 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 1849 "parsing/parser.ml"
+# 1857 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1881,20 +1889,20 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 1887 "parsing/parser.ml"
+# 1895 "parsing/parser.ml"
               
             in
             let tys = 
-# 3329 "parsing/parser.mly"
+# 3349 "parsing/parser.mly"
       ( [ty] )
-# 1893 "parsing/parser.ml"
+# 1901 "parsing/parser.ml"
              in
             
-# 3285 "parsing/parser.mly"
+# 3305 "parsing/parser.mly"
         ( Ptyp_constr(tid, tys) )
-# 1898 "parsing/parser.ml"
+# 1906 "parsing/parser.ml"
             
           in
           let _startpos__1_ = _startpos_ty_ in
@@ -1902,15 +1910,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 1908 "parsing/parser.ml"
+# 1916 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 1914 "parsing/parser.ml"
+# 1922 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -1961,9 +1969,9 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 1967 "parsing/parser.ml"
+# 1975 "parsing/parser.ml"
               
             in
             let tys =
@@ -1971,24 +1979,24 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 1975 "parsing/parser.ml"
+# 1983 "parsing/parser.ml"
                  in
                 
-# 979 "parsing/parser.mly"
+# 987 "parsing/parser.mly"
     ( xs )
-# 1980 "parsing/parser.ml"
+# 1988 "parsing/parser.ml"
                 
               in
               
-# 3331 "parsing/parser.mly"
+# 3351 "parsing/parser.mly"
       ( tys )
-# 1986 "parsing/parser.ml"
+# 1994 "parsing/parser.ml"
               
             in
             
-# 3285 "parsing/parser.mly"
+# 3305 "parsing/parser.mly"
         ( Ptyp_constr(tid, tys) )
-# 1992 "parsing/parser.ml"
+# 2000 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined1_ in
@@ -1996,15 +2004,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2002 "parsing/parser.ml"
+# 2010 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2008 "parsing/parser.ml"
+# 2016 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2042,24 +2050,24 @@ module Tables = struct
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.core_type) = let _1 =
           let _1 = 
-# 3287 "parsing/parser.mly"
+# 3307 "parsing/parser.mly"
         ( let (f, c) = _2 in Ptyp_object (f, c) )
-# 2048 "parsing/parser.ml"
+# 2056 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__3_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2057 "parsing/parser.ml"
+# 2065 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2063 "parsing/parser.ml"
+# 2071 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2090,24 +2098,24 @@ module Tables = struct
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.core_type) = let _1 =
           let _1 = 
-# 3289 "parsing/parser.mly"
+# 3309 "parsing/parser.mly"
         ( Ptyp_object ([], Closed) )
-# 2096 "parsing/parser.ml"
+# 2104 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__2_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2105 "parsing/parser.ml"
+# 2113 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2111 "parsing/parser.ml"
+# 2119 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2143,20 +2151,20 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 2149 "parsing/parser.ml"
+# 2157 "parsing/parser.ml"
               
             in
             let tys = 
-# 3327 "parsing/parser.mly"
+# 3347 "parsing/parser.mly"
       ( [] )
-# 2155 "parsing/parser.ml"
+# 2163 "parsing/parser.ml"
              in
             
-# 3293 "parsing/parser.mly"
+# 3313 "parsing/parser.mly"
         ( Ptyp_class(cid, tys) )
-# 2160 "parsing/parser.ml"
+# 2168 "parsing/parser.ml"
             
           in
           let _startpos__1_ = _startpos__2_ in
@@ -2164,15 +2172,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2170 "parsing/parser.ml"
+# 2178 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2176 "parsing/parser.ml"
+# 2184 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2215,20 +2223,20 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 2221 "parsing/parser.ml"
+# 2229 "parsing/parser.ml"
               
             in
             let tys = 
-# 3329 "parsing/parser.mly"
+# 3349 "parsing/parser.mly"
       ( [ty] )
-# 2227 "parsing/parser.ml"
+# 2235 "parsing/parser.ml"
              in
             
-# 3293 "parsing/parser.mly"
+# 3313 "parsing/parser.mly"
         ( Ptyp_class(cid, tys) )
-# 2232 "parsing/parser.ml"
+# 2240 "parsing/parser.ml"
             
           in
           let _startpos__1_ = _startpos_ty_ in
@@ -2236,15 +2244,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2242 "parsing/parser.ml"
+# 2250 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2248 "parsing/parser.ml"
+# 2256 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2302,9 +2310,9 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 2308 "parsing/parser.ml"
+# 2316 "parsing/parser.ml"
               
             in
             let tys =
@@ -2312,24 +2320,24 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 2316 "parsing/parser.ml"
+# 2324 "parsing/parser.ml"
                  in
                 
-# 979 "parsing/parser.mly"
+# 987 "parsing/parser.mly"
     ( xs )
-# 2321 "parsing/parser.ml"
+# 2329 "parsing/parser.ml"
                 
               in
               
-# 3331 "parsing/parser.mly"
+# 3351 "parsing/parser.mly"
       ( tys )
-# 2327 "parsing/parser.ml"
+# 2335 "parsing/parser.ml"
               
             in
             
-# 3293 "parsing/parser.mly"
+# 3313 "parsing/parser.mly"
         ( Ptyp_class(cid, tys) )
-# 2333 "parsing/parser.ml"
+# 2341 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined1_ in
@@ -2337,15 +2345,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2343 "parsing/parser.ml"
+# 2351 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2349 "parsing/parser.ml"
+# 2357 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2383,24 +2391,24 @@ module Tables = struct
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.core_type) = let _1 =
           let _1 = 
-# 3296 "parsing/parser.mly"
+# 3316 "parsing/parser.mly"
         ( Ptyp_variant([_2], Closed, None) )
-# 2389 "parsing/parser.ml"
+# 2397 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__3_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2398 "parsing/parser.ml"
+# 2406 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2404 "parsing/parser.ml"
+# 2412 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2450,24 +2458,24 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 2454 "parsing/parser.ml"
+# 2462 "parsing/parser.ml"
                  in
                 
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 2459 "parsing/parser.ml"
+# 2467 "parsing/parser.ml"
                 
               in
               
-# 3341 "parsing/parser.mly"
+# 3361 "parsing/parser.mly"
     ( _1 )
-# 2465 "parsing/parser.ml"
+# 2473 "parsing/parser.ml"
               
             in
             
-# 3298 "parsing/parser.mly"
+# 3318 "parsing/parser.mly"
         ( Ptyp_variant(_3, Closed, None) )
-# 2471 "parsing/parser.ml"
+# 2479 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__4_ in
@@ -2475,15 +2483,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2481 "parsing/parser.ml"
+# 2489 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2487 "parsing/parser.ml"
+# 2495 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2540,24 +2548,24 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 2544 "parsing/parser.ml"
+# 2552 "parsing/parser.ml"
                  in
                 
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 2549 "parsing/parser.ml"
+# 2557 "parsing/parser.ml"
                 
               in
               
-# 3341 "parsing/parser.mly"
+# 3361 "parsing/parser.mly"
     ( _1 )
-# 2555 "parsing/parser.ml"
+# 2563 "parsing/parser.ml"
               
             in
             
-# 3300 "parsing/parser.mly"
+# 3320 "parsing/parser.mly"
         ( Ptyp_variant(_2 :: _4, Closed, None) )
-# 2561 "parsing/parser.ml"
+# 2569 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__5_ in
@@ -2565,15 +2573,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2571 "parsing/parser.ml"
+# 2579 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2577 "parsing/parser.ml"
+# 2585 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2623,24 +2631,24 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 2627 "parsing/parser.ml"
+# 2635 "parsing/parser.ml"
                  in
                 
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 2632 "parsing/parser.ml"
+# 2640 "parsing/parser.ml"
                 
               in
               
-# 3341 "parsing/parser.mly"
+# 3361 "parsing/parser.mly"
     ( _1 )
-# 2638 "parsing/parser.ml"
+# 2646 "parsing/parser.ml"
               
             in
             
-# 3302 "parsing/parser.mly"
+# 3322 "parsing/parser.mly"
         ( Ptyp_variant(_3, Open, None) )
-# 2644 "parsing/parser.ml"
+# 2652 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__4_ in
@@ -2648,15 +2656,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2654 "parsing/parser.ml"
+# 2662 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2660 "parsing/parser.ml"
+# 2668 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2687,24 +2695,24 @@ module Tables = struct
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.core_type) = let _1 =
           let _1 = 
-# 3304 "parsing/parser.mly"
+# 3324 "parsing/parser.mly"
         ( Ptyp_variant([], Open, None) )
-# 2693 "parsing/parser.ml"
+# 2701 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__2_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2702 "parsing/parser.ml"
+# 2710 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2708 "parsing/parser.ml"
+# 2716 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2754,24 +2762,24 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 2758 "parsing/parser.ml"
+# 2766 "parsing/parser.ml"
                  in
                 
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 2763 "parsing/parser.ml"
+# 2771 "parsing/parser.ml"
                 
               in
               
-# 3341 "parsing/parser.mly"
+# 3361 "parsing/parser.mly"
     ( _1 )
-# 2769 "parsing/parser.ml"
+# 2777 "parsing/parser.ml"
               
             in
             
-# 3306 "parsing/parser.mly"
+# 3326 "parsing/parser.mly"
         ( Ptyp_variant(_3, Closed, Some []) )
-# 2775 "parsing/parser.ml"
+# 2783 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__4_ in
@@ -2779,15 +2787,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2785 "parsing/parser.ml"
+# 2793 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2791 "parsing/parser.ml"
+# 2799 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -2852,18 +2860,18 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 2856 "parsing/parser.ml"
+# 2864 "parsing/parser.ml"
                  in
                 
-# 919 "parsing/parser.mly"
+# 927 "parsing/parser.mly"
     ( xs )
-# 2861 "parsing/parser.ml"
+# 2869 "parsing/parser.ml"
                 
               in
               
-# 3369 "parsing/parser.mly"
+# 3389 "parsing/parser.mly"
     ( _1 )
-# 2867 "parsing/parser.ml"
+# 2875 "parsing/parser.ml"
               
             in
             let _3 =
@@ -2871,24 +2879,24 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 2875 "parsing/parser.ml"
+# 2883 "parsing/parser.ml"
                  in
                 
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 2880 "parsing/parser.ml"
+# 2888 "parsing/parser.ml"
                 
               in
               
-# 3341 "parsing/parser.mly"
+# 3361 "parsing/parser.mly"
     ( _1 )
-# 2886 "parsing/parser.ml"
+# 2894 "parsing/parser.ml"
               
             in
             
-# 3308 "parsing/parser.mly"
+# 3328 "parsing/parser.mly"
         ( Ptyp_variant(_3, Closed, Some _5) )
-# 2892 "parsing/parser.ml"
+# 2900 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__6_ in
@@ -2896,15 +2904,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 2902 "parsing/parser.ml"
+# 2910 "parsing/parser.ml"
           
         in
         
-# 3312 "parsing/parser.mly"
+# 3332 "parsing/parser.mly"
   ( _1 )
-# 2908 "parsing/parser.ml"
+# 2916 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
